# Chapter (FFmpegKit)

Package com.arthenica.ffmpegkit

## Class Chapter

- java.lang.Object
- - com.arthenica.ffmpegkit.Chapter

    public class Chapter
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `KEY_END`
`static java.lang.String` `KEY_END_TIME`
`static java.lang.String` `KEY_ID`
`static java.lang.String` `KEY_START`
`static java.lang.String` `KEY_START_TIME`
`static java.lang.String` `KEY_TAGS`
`static java.lang.String` `KEY_TIME_BASE`

### Constructor Summary

Constructors
`Chapter​(org.json.JSONObject jsonObject)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.json.JSONObject` `getAllProperties()` Returns all chapter properties defined.
`java.lang.Long` `getEnd()`
`java.lang.String` `getEndTime()`
`java.lang.Long` `getId()`
`java.lang.Long` `getNumberProperty​(java.lang.String key)` Returns the chapter property associated with the key.
`org.json.JSONObject` `getProperty​(java.lang.String key)` Returns the chapter property associated with the key.
`java.lang.Long` `getStart()`
`java.lang.String` `getStartTime()`
`java.lang.String` `getStringProperty​(java.lang.String key)` Returns the chapter property associated with the key.
`org.json.JSONObject` `getTags()`
`java.lang.String` `getTimeBase()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### KEY_ID

    public static final java.lang.String KEY_ID

See Also:
  Constant Field Values

#### KEY_TIME_BASE

    public static final java.lang.String KEY_TIME_BASE

See Also:
  Constant Field Values

#### KEY_START

    public static final java.lang.String KEY_START

See Also:
  Constant Field Values

#### KEY_START_TIME

    public static final java.lang.String KEY_START_TIME

See Also:
  Constant Field Values

#### KEY_END

    public static final java.lang.String KEY_END

See Also:
  Constant Field Values

#### KEY_END_TIME

    public static final java.lang.String KEY_END_TIME

See Also:
  Constant Field Values

#### KEY_TAGS

    public static final java.lang.String KEY_TAGS

See Also:
  Constant Field Values

### Constructor Detail

#### Chapter

    public Chapter​(org.json.JSONObject jsonObject)

### Method Detail

#### getId

    public java.lang.Long getId()

#### getTimeBase

    public java.lang.String getTimeBase()

#### getStart

    public java.lang.Long getStart()

#### getStartTime

    public java.lang.String getStartTime()

#### getEnd

    public java.lang.Long getEnd()

#### getEndTime

    public java.lang.String getEndTime()

#### getTags

    public org.json.JSONObject getTags()

#### getStringProperty

    public java.lang.String getStringProperty​(java.lang.String key)

Returns the chapter property associated with the key.

Parameters:
  `key` - property key
Returns:
  chapter property as string or null if the key is not found

#### getNumberProperty

    public java.lang.Long getNumberProperty​(java.lang.String key)

Returns the chapter property associated with the key.

Parameters:
  `key` - property key
Returns:
  chapter property as Long or null if the key is not found

#### getProperty

    public org.json.JSONObject getProperty​(java.lang.String key)

Returns the chapter property associated with the key.

Parameters:
  `key` - property key
Returns:
  chapter property as a JSONObject or null if the key is not found

#### getAllProperties

    public org.json.JSONObject getAllProperties()

Returns all chapter properties defined.

Returns:
  all chapter properties as a JSONObject or null if no properties are defined